Categories
Every Celebration Group has acategory.
Peoplewisher currently recognizes:
The category is returned when you list groups and is also accepted when creating a group.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create, list, and remove the groups that connect contacts to Peoplewisher workflows.
| Operation | Method | Endpoint |
|---|---|---|
| List groups | GET | /v1/celebration-groups |
| Create group | POST | /v1/celebration-groups |
| Delete group | DELETE | /v1/celebration-groups/{group_id} |
category.
Peoplewisher currently recognizes:
| Category | Purpose |
|---|---|
birthday | Birthday celebrations |
anniversary | Anniversary celebrations |
work_anniversary | Work anniversary celebrations |
wedding_anniversary | Wedding anniversary celebrations |
curl https://api.peoplewisher.com/v1/celebration-groups \
-H "Authorization: Bearer $PEOPLEWISHER_API_KEY"
{
"success": true,
"data": [
{
"group_id": 24,
"name": "Customers",
"category": "birthday",
"status": "active",
"contact_count": 174
}
]
}
curl -X POST https://api.peoplewisher.com/v1/celebration-groups \
-H "Authorization: Bearer $PEOPLEWISHER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Customers",
"category": "birthday"
}'
curl -X DELETE https://api.peoplewisher.com/v1/celebration-groups/24 \
-H "Authorization: Bearer $PEOPLEWISHER_API_KEY"
